> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Processing Requests

> Get the current number of processing requests before sending another request.

This endpoint allows users to check how many requests are currently being processed before sending another request.

<Note>
  This endpoint is throttled to 30 requests per minute to avoid abuse.
</Note>

## Request

Send a `GET` request to below endpoint.

```curl curl theme={null}
--request GET 'https://modelslab.com/api/v6/processing/request_count' \
```

## Body

```json json theme={null}
{  
  "key": "your_api_key"
}
```


## OpenAPI

````yaml POST /processing/request_count
openapi: 3.1.0
info:
  title: ModelsLab General API
  description: >-
    General utility endpoints for ModelsLab API including subscription
    management, content moderation, and file handling
  license:
    name: MIT
  version: 6.0.0
servers:
  - url: https://modelslab.com/api
    description: Main API server (for endpoints without version prefix)
  - url: https://modelslab.com/api/v3
    description: API v3 server
  - url: https://modelslab.com/api/v5
    description: API v5 server
  - url: https://modelslab.com/api/v6
    description: API v6 server
security: []
paths:
  /processing/request_count:
    post:
      summary: Check processing requests
      description: >-
        Get the current number of processing requests before sending another
        request. This endpoint is throttled to 30 requests per minute to avoid
        abuse.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProcessingRequestCountRequest'
      responses:
        '200':
          description: Processing request count response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessingRequestCountResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Too many requests - throttled to 30 requests per minute
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      servers:
        - url: https://modelslab.com/api/v6
components:
  schemas:
    ProcessingRequestCountRequest:
      type: object
      required:
        - key
      properties:
        key:
          type: string
          description: Your API Key used for request authorization
    ProcessingRequestCountResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        processing_count:
          type: integer
          description: Current number of processing requests
        message:
          type: string
          example: Current processing request count retrieved successfully
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - error
        message:
          type: string
          description: Error message

````